package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 导入人员信息对象 user_info_one
 * 
 * @author ruoyi
 * @date 2022-08-30
 */
public class UserInfoOne extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer age;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idCard;

    /** 联系号码 */
    @Excel(name = "联系号码")
    private String phoneNum;

    /** 部门id */
    @Excel(name = "部门id")
    private String deptId;

    /** 采集地点 */
    @Excel(name = "采集地点")
    private String collectPlace;

    /** 核酸采集时间 */
    @Excel(name = "核酸采集时间")
    private String nucleicCollectTime;

    /** 核酸结果时间 */
    @Excel(name = "核酸结果时间")
    private String nucleicResultsTime;

    /** 采集结果 */
    @Excel(name = "采集结果")
    private String nucleicResults;

    /** 职业类别 */
    @Excel(name = "职业类别")
    private String jobStyle;

    /** 重点人群分类 */
    @Excel(name = "重点人群分类")
    private String focusCrowdStyle;

    /** 检测频次(汉字拼接后） */
    @Excel(name = "检测频次(汉字拼接后）")
    private String detectionFrequency;

    /** 检测频次（次数） */
    @Excel(name = "检测频次", readConverterExp = "次=数")
    private String detectionNumber;

    /** 检测频次（时间范围） */
    @Excel(name = "检测频次", readConverterExp = "时=间范围")
    private String detectionScope;

    /** 检测进度 */
    @Excel(name = "检测进度")
    private String detectionProgress;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 比对开始时间 */
    @Excel(name = "比对开始时间")
    private String startTime;

    /** 比对结束时间 */
    @Excel(name = "比对结束时间")
    private String endTime;

    /** 比对结果 */
    @Excel(name = "比对结果")
    private String detectionResult;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setGender(String gender) 
    {
        this.gender = gender;
    }

    public String getGender() 
    {
        return gender;
    }
    public void setAge(Integer age) 
    {
        this.age = age;
    }

    public Integer getAge() 
    {
        return age;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setPhoneNum(String phoneNum) 
    {
        this.phoneNum = phoneNum;
    }

    public String getPhoneNum() 
    {
        return phoneNum;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }
    public void setCollectPlace(String collectPlace) 
    {
        this.collectPlace = collectPlace;
    }

    public String getCollectPlace() 
    {
        return collectPlace;
    }
    public void setNucleicCollectTime(String nucleicCollectTime) 
    {
        this.nucleicCollectTime = nucleicCollectTime;
    }

    public String getNucleicCollectTime() 
    {
        return nucleicCollectTime;
    }
    public void setNucleicResultsTime(String nucleicResultsTime) 
    {
        this.nucleicResultsTime = nucleicResultsTime;
    }

    public String getNucleicResultsTime() 
    {
        return nucleicResultsTime;
    }
    public void setNucleicResults(String nucleicResults) 
    {
        this.nucleicResults = nucleicResults;
    }

    public String getNucleicResults() 
    {
        return nucleicResults;
    }
    public void setJobStyle(String jobStyle) 
    {
        this.jobStyle = jobStyle;
    }

    public String getJobStyle() 
    {
        return jobStyle;
    }
    public void setFocusCrowdStyle(String focusCrowdStyle) 
    {
        this.focusCrowdStyle = focusCrowdStyle;
    }

    public String getFocusCrowdStyle() 
    {
        return focusCrowdStyle;
    }
    public void setDetectionFrequency(String detectionFrequency) 
    {
        this.detectionFrequency = detectionFrequency;
    }

    public String getDetectionFrequency() 
    {
        return detectionFrequency;
    }
    public void setDetectionNumber(String detectionNumber) 
    {
        this.detectionNumber = detectionNumber;
    }

    public String getDetectionNumber() 
    {
        return detectionNumber;
    }
    public void setDetectionScope(String detectionScope) 
    {
        this.detectionScope = detectionScope;
    }

    public String getDetectionScope() 
    {
        return detectionScope;
    }
    public void setDetectionProgress(String detectionProgress) 
    {
        this.detectionProgress = detectionProgress;
    }

    public String getDetectionProgress() 
    {
        return detectionProgress;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setStartTime(String startTime) 
    {
        this.startTime = startTime;
    }

    public String getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(String endTime) 
    {
        this.endTime = endTime;
    }

    public String getEndTime() 
    {
        return endTime;
    }
    public void setDetectionResult(String detectionResult) 
    {
        this.detectionResult = detectionResult;
    }

    public String getDetectionResult() 
    {
        return detectionResult;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("gender", getGender())
            .append("age", getAge())
            .append("idCard", getIdCard())
            .append("phoneNum", getPhoneNum())
            .append("deptId", getDeptId())
            .append("collectPlace", getCollectPlace())
            .append("nucleicCollectTime", getNucleicCollectTime())
            .append("nucleicResultsTime", getNucleicResultsTime())
            .append("nucleicResults", getNucleicResults())
            .append("jobStyle", getJobStyle())
            .append("focusCrowdStyle", getFocusCrowdStyle())
            .append("detectionFrequency", getDetectionFrequency())
            .append("detectionNumber", getDetectionNumber())
            .append("detectionScope", getDetectionScope())
            .append("detectionProgress", getDetectionProgress())
            .append("deptName", getDeptName())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("detectionResult", getDetectionResult())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
